ref: d9d688df4e4cdce07991856b13e9cf579de45bd4
parent: 8577d78f4d2eb04ce4cde83c106870846e50cae2
parent: fb8b8d70863f36b4729fd7b8856de9112abfbe10
author: Rangi <35663410+Rangi42@users.noreply.github.com>
date: Sat Feb 9 15:09:25 EST 2019
Merge pull request #600 from mid-kid/master Fix travis
--- a/.travis.yml
+++ b/.travis.yml
@@ -4,13 +4,11 @@
- osx
install:
- |-
- path="$(pwd)"; cd;
- git clone https://github.com/rednex/rgbds &&
- cd rgbds &&
- sudo make install &&
- cd - &&
- rm -rf rgbds &&
- cd "$path"
+ ( cd
+ git clone --depth=1 https://github.com/rednex/rgbds
+ sudo make -C rgbds CFLAGS=-O2 install
+ rm -rf rgbds
+ )
before_script:
- |-
function check_status() {
@@ -24,4 +22,7 @@
- make -j2 compare
- check_status
after_success:
- - .travis/webhook.sh
+ - |-
+ if [ "$TRAVIS_BRANCH" = master -a "$TRAVIS_PULL_REQUEST" = false -a "$TRAVIS_OS_NAME" = linux ]; then
+ ./.travis/webhook.sh
+ fi
--- a/.travis/webhook.sh
+++ b/.travis/webhook.sh
@@ -1,13 +1,10 @@
#!/bin/sh
+set -e
-# Only run this script if it's the master branch build.
-[ "$TRAVIS_BRANCH" != 'master' -o "$TRAVIS_PULL_REQUEST" != 'false' ] && exit
+root="$(readlink -e "$(dirname "$0")/..")"
-root="$(realpath "$(dirname "$0")/..")"
-content=""
-
# Report unnamed symbols
-content+="$("$root/tools/unnamed.py" -r "$root" "$root/pokecrystal.sym" | grep -v -e '^lib/mobile/' -e '^mobile/' | head)"
+content="$("$root/tools/unnamed.py" -r "$root" "$root/pokecrystal.sym" | grep -v -e '^lib/mobile/' -e '^mobile/' | head)"
curl -H 'Content-Type: application/json' -X POST "$POKECRYSTAL_DISCORD_WEBHOOK_URL" -d@- << EOF
{